IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ffa4::/16- First address
ffa4::- Last address
ffa4:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ffa4:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
4.a.f.f.ip6.arpa
Split into smaller subnets
ffa4::/16 makes 65,536 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ffa4::/32 | ffa4:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ffa4:1::/32 | ffa4:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ffa4:2::/32 | ffa4:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ffa4:3::/32 | ffa4:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ffa4:4::/32 | ffa4:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ffa4:5::/32 | ffa4:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ffa4:6::/32 | ffa4:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ffa4:7::/32 | ffa4:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ffa4:8::/32 | ffa4:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ffa4:9::/32 | ffa4:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ffa4:a::/32 | ffa4:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ffa4:b::/32 | ffa4:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ffa4:c::/32 | ffa4:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ffa4:d::/32 | ffa4:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ffa4:e::/32 | ffa4:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ffa4:f::/32 | ffa4:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ffa4:10::/32 | ffa4:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ffa4:11::/32 | ffa4:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ffa4:12::/32 | ffa4:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ffa4:13::/32 | ffa4:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ffa4:14::/32 | ffa4:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ffa4:15::/32 | ffa4:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ffa4:16::/32 | ffa4:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ffa4:17::/32 | ffa4:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ffa4:18::/32 | ffa4:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ffa4:19::/32 | ffa4:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ffa4:1a::/32 | ffa4:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ffa4:1b::/32 | ffa4:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ffa4:1c::/32 | ffa4:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ffa4:1d::/32 | ffa4:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ffa4:1e::/32 | ffa4:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ffa4:1f::/32 | ffa4:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ffa4:20::/32 | ffa4:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ffa4:21::/32 | ffa4:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ffa4:22::/32 | ffa4:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ffa4:23::/32 | ffa4:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ffa4:24::/32 | ffa4:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ffa4:25::/32 | ffa4:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ffa4:26::/32 | ffa4:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ffa4:27::/32 | ffa4:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ffa4:28::/32 | ffa4:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ffa4:29::/32 | ffa4:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ffa4:2a::/32 | ffa4:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ffa4:2b::/32 | ffa4:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ffa4:2c::/32 | ffa4:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ffa4:2d::/32 | ffa4:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ffa4:2e::/32 | ffa4:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ffa4:2f::/32 | ffa4:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ffa4:30::/32 | ffa4:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ffa4:31::/32 | ffa4:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ffa4:32::/32 | ffa4:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ffa4:33::/32 | ffa4:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ffa4:34::/32 | ffa4:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ffa4:35::/32 | ffa4:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ffa4:36::/32 | ffa4:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ffa4:37::/32 | ffa4:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ffa4:38::/32 | ffa4:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ffa4:39::/32 | ffa4:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ffa4:3a::/32 | ffa4:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ffa4:3b::/32 | ffa4:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ffa4:3c::/32 | ffa4:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ffa4:3d::/32 | ffa4:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ffa4:3e::/32 | ffa4:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ffa4:3f::/32 | ffa4:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ffa4:40::/32 | ffa4:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ffa4:41::/32 | ffa4:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ffa4:42::/32 | ffa4:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ffa4:43::/32 | ffa4:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ffa4:44::/32 | ffa4:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ffa4:45::/32 | ffa4:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ffa4:46::/32 | ffa4:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ffa4:47::/32 | ffa4:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ffa4:48::/32 | ffa4:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ffa4:49::/32 | ffa4:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ffa4:4a::/32 | ffa4:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ffa4:4b::/32 | ffa4:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ffa4:4c::/32 | ffa4:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ffa4:4d::/32 | ffa4:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ffa4:4e::/32 | ffa4:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ffa4:4f::/32 | ffa4:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ffa4:50::/32 | ffa4:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ffa4:51::/32 | ffa4:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ffa4:52::/32 | ffa4:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ffa4:53::/32 | ffa4:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ffa4:54::/32 | ffa4:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ffa4:55::/32 | ffa4:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ffa4:56::/32 | ffa4:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ffa4:57::/32 | ffa4:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ffa4:58::/32 | ffa4:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ffa4:59::/32 | ffa4:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ffa4:5a::/32 | ffa4:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ffa4:5b::/32 | ffa4:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ffa4:5c::/32 | ffa4:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ffa4:5d::/32 | ffa4:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ffa4:5e::/32 | ffa4:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ffa4:5f::/32 | ffa4:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ffa4:60::/32 | ffa4:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ffa4:61::/32 | ffa4:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ffa4:62::/32 | ffa4:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ffa4:63::/32 | ffa4:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ffa4:64::/32 | ffa4:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ffa4:65::/32 | ffa4:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ffa4:66::/32 | ffa4:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ffa4:67::/32 | ffa4:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ffa4:68::/32 | ffa4:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ffa4:69::/32 | ffa4:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ffa4:6a::/32 | ffa4:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ffa4:6b::/32 | ffa4:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ffa4:6c::/32 | ffa4:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ffa4:6d::/32 | ffa4:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ffa4:6e::/32 | ffa4:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ffa4:6f::/32 | ffa4:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ffa4:70::/32 | ffa4:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ffa4:71::/32 | ffa4:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ffa4:72::/32 | ffa4:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ffa4:73::/32 | ffa4:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ffa4:74::/32 | ffa4:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ffa4:75::/32 | ffa4:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ffa4:76::/32 | ffa4:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ffa4:77::/32 | ffa4:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ffa4:78::/32 | ffa4:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ffa4:79::/32 | ffa4:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ffa4:7a::/32 | ffa4:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ffa4:7b::/32 | ffa4:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ffa4:7c::/32 | ffa4:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ffa4:7d::/32 | ffa4:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ffa4:7e::/32 | ffa4:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ffa4:7f::/32 | ffa4:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ffa4:80::/32 | ffa4:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ffa4:81::/32 | ffa4:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ffa4:82::/32 | ffa4:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ffa4:83::/32 | ffa4:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ffa4:84::/32 | ffa4:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ffa4:85::/32 | ffa4:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ffa4:86::/32 | ffa4:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ffa4:87::/32 | ffa4:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ffa4:88::/32 | ffa4:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ffa4:89::/32 | ffa4:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ffa4:8a::/32 | ffa4:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ffa4:8b::/32 | ffa4:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ffa4:8c::/32 | ffa4:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ffa4:8d::/32 | ffa4:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ffa4:8e::/32 | ffa4:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ffa4:8f::/32 | ffa4:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ffa4:90::/32 | ffa4:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ffa4:91::/32 | ffa4:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ffa4:92::/32 | ffa4:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ffa4:93::/32 | ffa4:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ffa4:94::/32 | ffa4:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ffa4:95::/32 | ffa4:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ffa4:96::/32 | ffa4:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ffa4:97::/32 | ffa4:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ffa4:98::/32 | ffa4:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ffa4:99::/32 | ffa4:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ffa4:9a::/32 | ffa4:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ffa4:9b::/32 | ffa4:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ffa4:9c::/32 | ffa4:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ffa4:9d::/32 | ffa4:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ffa4:9e::/32 | ffa4:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ffa4:9f::/32 | ffa4:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ffa4:a0::/32 | ffa4:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ffa4:a1::/32 | ffa4:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ffa4:a2::/32 | ffa4:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ffa4:a3::/32 | ffa4:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ffa4:a4::/32 | ffa4:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ffa4:a5::/32 | ffa4:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ffa4:a6::/32 | ffa4:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ffa4:a7::/32 | ffa4:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ffa4:a8::/32 | ffa4:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ffa4:a9::/32 | ffa4:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ffa4:aa::/32 | ffa4:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ffa4:ab::/32 | ffa4:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ffa4:ac::/32 | ffa4:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ffa4:ad::/32 | ffa4:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ffa4:ae::/32 | ffa4:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ffa4:af::/32 | ffa4:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ffa4:b0::/32 | ffa4:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ffa4:b1::/32 | ffa4:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ffa4:b2::/32 | ffa4:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ffa4:b3::/32 | ffa4:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ffa4:b4::/32 | ffa4:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ffa4:b5::/32 | ffa4:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ffa4:b6::/32 | ffa4:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ffa4:b7::/32 | ffa4:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ffa4:b8::/32 | ffa4:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ffa4:b9::/32 | ffa4:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ffa4:ba::/32 | ffa4:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ffa4:bb::/32 | ffa4:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ffa4:bc::/32 | ffa4:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ffa4:bd::/32 | ffa4:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ffa4:be::/32 | ffa4:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ffa4:bf::/32 | ffa4:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ffa4:c0::/32 | ffa4:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ffa4:c1::/32 | ffa4:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ffa4:c2::/32 | ffa4:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ffa4:c3::/32 | ffa4:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ffa4:c4::/32 | ffa4:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ffa4:c5::/32 | ffa4:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ffa4:c6::/32 | ffa4:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ffa4:c7::/32 | ffa4:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ffa4:c8::/32 | ffa4:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ffa4:c9::/32 | ffa4:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ffa4:ca::/32 | ffa4:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ffa4:cb::/32 | ffa4:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ffa4:cc::/32 | ffa4:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ffa4:cd::/32 | ffa4:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ffa4:ce::/32 | ffa4:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ffa4:cf::/32 | ffa4:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ffa4:d0::/32 | ffa4:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ffa4:d1::/32 | ffa4:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ffa4:d2::/32 | ffa4:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ffa4:d3::/32 | ffa4:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ffa4:d4::/32 | ffa4:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ffa4:d5::/32 | ffa4:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ffa4:d6::/32 | ffa4:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ffa4:d7::/32 | ffa4:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ffa4:d8::/32 | ffa4:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ffa4:d9::/32 | ffa4:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ffa4:da::/32 | ffa4:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ffa4:db::/32 | ffa4:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ffa4:dc::/32 | ffa4:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ffa4:dd::/32 | ffa4:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ffa4:de::/32 | ffa4:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ffa4:df::/32 | ffa4:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ffa4:e0::/32 | ffa4:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ffa4:e1::/32 | ffa4:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ffa4:e2::/32 | ffa4:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ffa4:e3::/32 | ffa4:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ffa4:e4::/32 | ffa4:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ffa4:e5::/32 | ffa4:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ffa4:e6::/32 | ffa4:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ffa4:e7::/32 | ffa4:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ffa4:e8::/32 | ffa4:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ffa4:e9::/32 | ffa4:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ffa4:ea::/32 | ffa4:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ffa4:eb::/32 | ffa4:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ffa4:ec::/32 | ffa4:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ffa4:ed::/32 | ffa4:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ffa4:ee::/32 | ffa4:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ffa4:ef::/32 | ffa4:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ffa4:f0::/32 | ffa4:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ffa4:f1::/32 | ffa4:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ffa4:f2::/32 | ffa4:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ffa4:f3::/32 | ffa4:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ffa4:f4::/32 | ffa4:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ffa4:f5::/32 | ffa4:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ffa4:f6::/32 | ffa4:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ffa4:f7::/32 | ffa4:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ffa4:f8::/32 | ffa4:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ffa4:f9::/32 | ffa4:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ffa4:fa::/32 | ffa4:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ffa4:fb::/32 | ffa4:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ffa4:fc::/32 | ffa4:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ffa4:fd::/32 | ffa4:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ffa4:fe::/32 | ffa4:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ffa4:ff::/32 | ffa4:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |